Subject: Re: Different State's Registation Rules

From: [email-masked] (Michael D Gaunt)
Date: Tue, 3 Jan 1995 21:09:53 GMT

I don't know of any specifics for any states registration exams and all 
the crap that goes along with it, but I'm sure you can find that 
information by contacting the following:

American Society of Landscape Architects
4401 Connecticut Ave. NW
5th Floor
Washington DC  20008-2302

Disclaimer:   This is the address I have in my file for the Magazine 
"Landscape Architecture".  I'm pretty sure it's the same as the main 
office... If not, then I'm sure they can point you in the right direction.